# Get claim messages This endpoint allows searching, through a valid token, messages associated with a claim. **GET** `/post-purchase/v1/claims/{claim_id}/messages` ## Request parameters ### Path - `claim_id` (number, required) Claim ID. Unique identifier used to reference a specific claim in the system, essential for tracking and managing these claims. ## Response parameters This endpoint has no response body. ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/post-purchase/v1/claims/{claim_id}/messages' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json [ { "sender_role": "complainant", "receiver_role": "respondent", "message": "Boa noite! A tampa veio com uma rachadura. Gostaria de anexar foto", "translated_message": null, "date_created": "2020-09-30T09:48:06.000-04:00", "last_updated": "2020-10-02T01:12:31.000-04:00", "message_date": "2020-10-02T01:12:31.000-04:00", "date_read": "2020-10-02T01:12:31.000-04:00", "attachments": [ { "filename": "8007ee20-be67-471f-9e59-e32d9ba02fae_239628932.jpeg", "original_filename": "Captura de Tela 2019-07-30 a?s 09.45.40.png", "size": 1880609, "type": "image/jpeg", "date_created": "2020-07-22T20:43:15.000-04:00" } ], "status": "available", "stage": "claim", "moderation": { "status": "clean", "reason": "", "source": "online", "date_moderated": "2023-02-01T20:13:50Z", "date_created": "2020-07-22T20:43:15.000-04:00" }, "repeated": false } ] ```